Organization settings

List opening hours for a date or range

GET
/orgs/{organizationId}/organization-settings/opening-hours

Resolves published opening hours for one civil date (date) or an inclusive range (from and to, max 366 days). Omit the dates to use today in the organization timezone. Exceptions override seasonal periods, which override the regular weekly hours. Public holidays overlapping the range are included (holidays and items[].holiday). Optional languageIsoCode localizes holiday names. Requires organization:settings:read or organization:settings:write.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

date?string
Match^\d{4}-\d{2}-\d{2}$
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$
languageIsoCode?string
Length2 <= length <= 3

Response Body

Resolved opening hours and public holidays for each requested date

application/json
  1. response
timeZone*string
from*string
Match^\d{4}-\d{2}-\d{2}$
to*string
Match^\d{4}-\d{2}-\d{2}$
holidays*array<>
items*array<>
curl -X GET 'https://api.tillor.eu/orgs/string/organization-settings/opening-hours'
{  "timeZone": "string",  "from": "string",  "to": "string",  "holidays": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "startDate": "string",      "endDate": "string"    }  ],  "items": [    {      "date": "string",      "weekday": "monday",      "source": "exception",      "periodLabel": "string",      "holiday": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "startDate": "string",        "endDate": "string"      },      "blocks": [        {          "startMinutes": 0,          "endMinutes": 0        }      ],      "closed": true    }  ]}